Get NFT collections by wallet address
curl --request GET \
--url https://deep-index.moralis.io/api/v2.2/{address}/nft/collections \
--header 'X-API-Key: <api-key>'import requests
url = "https://deep-index.moralis.io/api/v2.2/{address}/nft/collections"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://deep-index.moralis.io/api/v2.2/{address}/nft/collections', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"result": [
{
"token_address": "0xb47e3cd837dDF8e4c57F05d70Ab865de6e193BBB",
"contract_type": "ERC721",
"name": "CryptoKitties",
"symbol": "RARI",
"possible_spam": "false",
"verified_collection": "false",
"count": 5,
"collection_logo": "https://cdn.moralis.io/eth/0x67b6d479c7bb412c54e03dca8e1bc6740ce6b99c.png",
"collection_banner_image": "https://cdn.moralis.io/eth/0x67b6d479c7bb412c54e03dca8e1bc6740ce6b99c.png",
"floor_price": "12345",
"floor_price_usd": "12345.4899",
"floor_price_currency": "eth",
"last_sale": {
"transaction_hash": "0x19e14f34b8f120c980f7ba05338d64c00384857fb9c561e2c56d0f575424a95c",
"block_timestamp": "2023-04-04T15:59:11.000Z",
"buyer_address": "0xcb1c1fde09f811b294172696404e88e658659905",
"seller_address": "0x497a7dee2f13db161eb2fec060fa783cb041419f",
"price": "7300000000000000",
"price_formatted": "0.0073",
"payment_token": {
"token_name": "Ether",
"token_symbol": "ETH",
"token_logo": "https://cdn.moralis.io/eth/0x.png",
"token_decimals": "18",
"token_address": "0xeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeee"
},
"usd_price_at_sale": "13.61",
"current_usd_value": "15.53",
"token_address": "0xe8778996e096b39705c6a0a937eb587a1ebbda17",
"token_id": "170"
}
}
],
"status": "SYNCING",
"page": "2",
"page_size": "100",
"cursor": "<string>"
}NFTs
NFT Collections
Fetch all NFT Collections held by a specified wallet address. Each Collection returned includes on-chain metadata as well as off-chain metadata, floor prices and more where available.
GET
/
{address}
/
nft
/
collections
Get NFT collections by wallet address
Authorizations
Path Parameters
The wallet address of the owner of NFTs in the collections
Example:
"0xcB1C1FdE09f811B294172696404e88E658659905"
Query Parameters
The chain to query
Available options:
eth, 0x1, sepolia, 0xaa36a7, polygon, 0x89, bsc, 0x38, bsc testnet, 0x61, avalanche, 0xa86a, cronos, 0x19, arbitrum, 0xa4b1, chiliz, 0x15b38, gnosis, 0x64, base, 0x2105, base sepolia, 0x14a34, optimism, 0xa, polygon amoy, 0x13882, linea, 0xe708, moonbeam, 0x504, moonriver, 0x505, flow, 0x2eb, flow-testnet, 0x221, ronin, 0x7e4, ronin-testnet, 0x31769, lisk, 0x46f, pulse, 0x171, sei-testnet, 0x530, sei, 0x531, monad, 0x8f Example:
"eth"
Should NFT last sale prices be included in the result?
The desired page size of the result.
Required range:
x >= 0Should spam NFTs be excluded from the result?
The cursor returned in the previous response (used for getting the next page).
Should token counts per collection be included in the response?
Response
200 - application/json
Returns the NFT collections owned by a wallet

